{{ if .Capabilities.APIVersions.Has "forecastle.stakater.com/v1alpha1" -}}
---
apiVersion: forecastle.stakater.com/v1alpha1
kind: ForecastleApp
metadata:
  name: {{ .Release.Name }}
  labels:
    {{- include "chart.labels" . | nindent 4 }}
spec:
  name: Vaultwarden
  group: Security
  icon: {{ $.Chart.Icon | quote }}
  urlFrom:
    ingressRef:
      name: {{ .Release.Name }}
  {{- if not (empty .Values.whitelist) }}
  networkRestricted: true
  {{- else }}
  networkRestricted: false
  {{- end }}
  properties:
    helmChartVersion: {{ $.Chart.Version | quote }}
    appVersion: {{ $.Chart.AppVersion | quote }}
    appHome: {{ $.Chart.Home | quote }}
{{ end -}}
